Loading...
Searching...
No Matches
gtsam::Reshape< M, M, InOptions, M, M, InOptions > Struct Template Reference

## Detailed Description

template<int M, int InOptions>
struct gtsam::Reshape< M, M, InOptions, M, M, InOptions >

Reshape specialization that does nothing as shape stays the same (needed to not be ambiguous for square input equals square output).

## Static Public Member Functions

static ReshapedType | reshape (const Eigen::Matrix< double, M, M, InOptions > &in)

## Public Types

typedef const Eigen::Matrix< double, M, M, InOptions > & | ReshapedType

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Matrix.h